package com.kingdee.eas.custom.interfacelog.businessoperationlog;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class OperateLogFactory
{
    private OperateLogFactory()
    {
    }
    public static com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLog getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLog)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("6CD8A9F3") ,com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLog.class);
    }
    
    public static com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLog getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLog)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("6CD8A9F3") ,com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLog.class, objectCtx);
    }
    public static com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLog getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLog)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("6CD8A9F3"));
    }
    public static com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLog getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.interfacelog.businessoperationlog.IOperateLog)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("6CD8A9F3"));
    }
}